HttpMessage::setResponseStatus
HttpMessage::toMessageTypeObject
HttpMessage
PHP Manual

# HttpMessage::setType

(PECL pecl_http >= 0.10.0)

HttpMessage::setType — Set message type

### Description

public void HttpMessage::setType ( int `$type` )

Set Message Type. Either `HTTP_MSG_NONE`, `HTTP_MSG_REQUEST` or `HTTP_MSG_RESPONSE`.

### Parameters

`type`

  the HttpMessage::TYPE_*

HttpMessage::setResponseStatus
HttpMessage::toMessageTypeObject
HttpMessage
PHP Manual